import 'package:ocg_app/ocg_app.dart';
import 'package:ocg_location/ocg_location.dart';
import 'package:ocg_story/src/models/story.dart';
import 'package:ocg_story/src/socket/data.dart';

enum StoryFilter { Location, Following }

abstract class StoryRepository extends Crud<Story> {
  Future<AppResponse<bool>> addStorySeen(String id);

  Future<AppResponse<List<ProfileStories>>> getFollowing({
    int count = 10,
    int page = 1,
  });

  Future<AppResponse<List<ProfileStories>>> getNearby(
    Position position, {
    int count = 10,
    int page = 1,
  });

  Stream<StoryChange> get changes;
}
