import 'package:ocg_app/ocg_app.dart';
import 'package:ocg_location/ocg_location.dart';
import 'package:ocg_story/src/models/story.dart';
import 'package:ocg_story/src/repository/story/base.dart';
import 'package:ocg_story/src/socket/data.dart';
import 'package:uuid/uuid.dart';

class StoryTestRepository extends StoryRepository {
  final List<Story> _stories;

  StoryTestRepository()
      : _stories = [
          Story.named(
            id: "122",
            background: StoryVideo.named(
              url:
                  "https://firebasestorage.googleapis.com/v0/b/fairpriceit-a7636.appspot.com/o/1883334546.mp4?alt=media&token=48e21ccd-ad90-478f-b979-f8280684e0f8",
              thumbnail:
                  "https://images.pexels.com/photos/3076511/pexels-photo-3076511.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=750&w=1260",
            ),
            recordedAt: DateTime.now(),
          ),
        ];

  @override
  Future<AppResponse<String>> create(Story story) async {
    await Future.delayed(Duration(seconds: 1));
    String id = Uuid().v4();
    story = story.copyWith(id: id);
    _stories.add(story);
    return AppResponse.named(data: id);
  }

  StoryUser get testUser => StoryUser.named(
      id: "1",
      name: "Osi Peters",
      profilePic:
          "https://specials-images.forbesimg.com/imageserve/1219616367/960x0.jpg?fit=scale");

  @override
  Future<AppResponse<bool>> addStorySeen(String id) {
    // TODO: implement addStorySeen
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<bool>> delete(String id) {
    // TODO: implement delete
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<List<Story>>> getList({int page = 1, int count = 10}) {
    // TODO: implement getList
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<Story>> read(String id) {
    // TODO: implement read
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<bool>> update(Story object) {
    // TODO: implement update
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<List<ProfileStories>>> getFollowing(
      {int count = 10, int page = 1}) {
    // TODO: implement getFollowing
    throw UnimplementedError();
  }

  @override
  Future<AppResponse<List<ProfileStories>>> getNearby(Position position,
      {int count = 10, int page = 1}) {
    // TODO: implement getNearby
    throw UnimplementedError();
  }

  @override
  // TODO: implement changes
  Stream<StoryChange> get changes => throw UnimplementedError();
}
