import 'package:ocg_socket/ocg_socket.dart';

abstract class StoryChange extends SocketData {
  StoryChange(String type, data) : super(type, data);
}

class StoryCreateChange extends StoryChange {
  final String storyId;

  StoryCreateChange(this.storyId) : super("story_create", {"storyId": storyId});
}

class StoryDeleteChange extends StoryChange {
  final String storyId;

  StoryDeleteChange(this.storyId) : super("story_delete", {"storyId": storyId});
}

class StorySeenChange extends StoryChange {
  final String storyId;
  final String userId;

  StorySeenChange(this.storyId, this.userId)
      : super("story_seen", {"storyId": storyId, "userId": userId});
}
